#ifndef _COMMON_H_
#define _COMMON_H_

//#pragma message "common.h: Digispark ԥ󥢥ǥѥ뤷ޤ"
#define PB_SW       PB5
#define PB_SENSOR   PB2
#define PB_IRLED    PB0
#define PB_LED      PB1

#define BV(i) _BV(i)
#define nop() asm volatile("nop\n\t"::);
// #define led_on()	do { PORTB |=  BV(PB_IRLED);} while(0)
// #define led_off() do { PORTB &= ~BV(PB_IRLED);} while(0)
#define bz_on()	do   { PORTB |=  BV(PB_BZ);} while(0)
#define bz_off() do  { PORTB &= ~BV(PB_BZ);} while(0)
//#define INT1_ENABLE()   do { TIMSK |=  BV(OCIE1A); } while(0)
//#define INT1_DISABLE()  do { TIMSK &= ~BV(OCIE1A); } while(0)
#define INT0_ENABLE()   do { TIMSK |=  BV(OCIE0A); } while(0)
#define INT0_DISABLE()  do { TIMSK &= ~BV(OCIE0A); } while(0)

#define INT0_DOWN()      do { MCUCR |=  BV(ISC01); MCUCR &= ~BV(ISC00); } while(0)
#define INT0_LOWLEVEL()  do { MCUCR &= ~BV(ISC01); MCUCR &= ~BV(ISC00); } while(0)

// spark: PB_SENSORPW ѻ
// #define irsens_on()  do { PORTB |=  BV(PB_SENSOR); PORTB |=  BV(PB_SENSORPW); } while(0)
// #define irsens_off() do { PORTB &= ~BV(PB_SENSOR); PORTB &= ~BV(PB_SENSORPW); } while(0)

#endif
